#source("../_paper_beechXylem/Figure_codes/lib.r")

Sys.setlocale("LC_ALL","English")
Sys.setenv(TZ='etc/GMT+1')

lib.datDir  <- paste0("../Data") 
lib.plotDir <- paste0("../Figures")

lib.colRBH <- c(R="#4eae00",B="#ffb400",H="#fa0072")

lib.singleWidth <- 3.4
lib.doubleWidth <- 6.7
lib.cex <- 0.75
lib.pngResolution <- 300

lib.labelList <- list(VWC=expression(theta~"[%]"),
				      pF="Water Potential [pF]",
				      delta18O=expression(delta ^{18}*O~"[\211]"),
				      deltaD=expression(delta ~"D"~"[\211]"),
				      DEXcess="D-Excess[\211]")
					  
lib.maskRanges <- rbind(c(as.POSIXct("2019-05-20 12:00"), as.POSIXct("2019-05-25 12:00")),
		                c(as.POSIXct("2019-06-11 12:00"), as.POSIXct("2019-06-14")),
						c(as.POSIXct("2019-07-02 12:00"), as.POSIXct("2019-07-12")))
						
lib.timeRange <- as.POSIXct(c("2019-05-15 00:00","2019-08-08 12:00"))
lib.hourly <- data.frame(time = seq(lib.timeRange[1], lib.timeRange[2], 3600))

lib.label_subPlot <- function(label, rightSide = FALSE, fx=0.07, fyFac=1){
		
	y <- par("usr")[4]
	xRange <- diff(par("usr")[1:2])
	yRange <- diff(par("usr")[3:4])
	f <- 0.07
	
	n = as.numeric(rightSide)+1	
	x = par("usr")[1:2][n]
	fx = fx * c(1,-1)[n]
	
	text(x+fx*xRange, y-(fyFac*f*1.3)*yRange, labels=paste0('(',label,')'), font=2, cex=1.2, xpd=TRUE)
}

lib.rollmedian <- function(x,n=3){
	if(n<3) return(x)
	result <- x*NA	
	o <- round((n-1)/2 )
	result[1:o] <- result[o]
	result[(length(x)-o):length(x)] <- result[(length(x)-o)]
	for(i in o:(length(x)-o)) result[i] <- median(x[(i-o):(i+o)], na.rm=TRUE)
	return(result)
}